import request from '@/utils/request'

/**
* 保存照片墙
* @param {*} data
* @returns
*/
export const saveAttachment = (data) => request({
  url: '/admin/attachment',
  method: 'post',
  data
})

/**
 * 照片墙列表
 * @param {*} params
 * @returns
 */
export const getAttachmentList = (params) => request({
  url: '/admin/attachment', params
})

/**
 * 删除照片墙
 * @param {*} data
 * @returns
 */
export const deleteAttachment = (id) => request({
  url: `/admin/attachment/${id}`, method: 'delete'
})
/**
 * 更新照片墙
 * @param {*} data
 * @returns
 */
export const UpdateAttachment = (data, id) => request({
  url: `/admin/attachment/${id}`, method: 'put', data
})
