import request from '@/utils/request'

/**
* 保存轮播图
* @param {*} data
* @returns
*/
export const saveBanner = (data) => request({
  url: '/admin/banner',
  method: 'post',
  data
})

/**
 * 轮播图列表
 * @param {*} params
 * @returns
 */
export const getBannerList = (params) => request({
  url: '/admin/banner', params
})

/**
 * 删除轮播图
 * @param {*} data
 * @returns
 */
export const deleteBanner = (id) => request({
  url: `/admin/banner/${id}`, method: 'delete'
})
/**
 * 更新轮播图
 * @param {*} data
 * @returns
 */
export const UpdateBanner = (data, id) => request({
  url: `/admin/banner/${id}`, method: 'put', data
})
/**
 * 查询轮播图详情
 * @param {*} params
 * @returns
 */
export const getBannerDetail = (id) => request({
  url: `/admin/banner/${id}`
})
