import request from '@/utils/request'

/**
* 保存课程
* @param {*} data
* @returns
*/
export const saveCourse = (data) => request({
  url: '/admin/course',
  method: 'post',
  data
})

/**
 * 课程列表
 * @param {*} params
 * @returns
 */
export const getCourseList = (params) => request({
  url: '/admin/course', params
})

/**
 * 删除课程
 * @param {*} data
 * @returns
 */
export const deleteCourse = (id) => request({
  url: `/admin/course/${id}`, method: 'delete'
})
/**
 * 更新课程
 * @param {*} data
 * @returns
 */
export const UpdateCourse = (data, id) => request({
  url: `/admin/course/${id}`, method: 'put', data
})
/**
 * 查询课程详情
 * @param {*} params
 * @returns
 */
export const getCourseDetail = (id) => request({
  url: `/admin/course/${id}`
})
