import request from '@/utils/request'

/**
* 保存游戏题库
* @param {*} data
* @returns
*/
export const saveQuestion = (data) => request({
  url: '/admin/question',
  method: 'post',
  data
})

/**
 * 游戏题库列表
 * @param {*} params
 * @returns
 */
export const getQuestionList = (params) => request({
  url: '/admin/question', params
})

/**
 * 删除游戏题库
 * @param {*} data
 * @returns
 */
export const deleteQuestion = (id) => request({
  url: `/admin/question/${id}`, method: 'delete'
})
/**
 * 更新游戏题库
 * @param {*} data
 * @returns
 */
export const UpdateQuestion = (data, id) => request({
  url: `/admin/question/${id}`, method: 'put', data
})
/**
 * 拖拽排序
 * @param {*} data
 * @returns
 */
export const UpdateQuestionSort = (data, id) => request({
  url: `/admin/question/sort?queId=${id}`, method: 'put', data
})
/**
 * 查询游戏题库详情
 * @param {*} params
 * @returns
 */
export const getQuestionDetail = (id, params) => request({
  url: `/admin/question/${id}`, params
})
