import request from '@/utils/request'

/**
* 保存问卷调查
* @param {*} data
* @returns
*/
export const saveQuestionnaire = (data) => request({
  url: '/admin/questionnaire',
  method: 'post',
  data
})

/**
 * 问卷调查列表
 * @param {*} params
 * @returns
 */
export const getQuestionnaireList = (params) => request({
  url: '/admin/questionnaire', params
})

/**
 * 删除问卷调查
 * @param {*} data
 * @returns
 */
export const deleteQuestionnaire = (id) => request({
  url: `/admin/questionnaire/${id}`, method: 'delete'
})
/**
 * 更新问卷调查
 * @param {*} data
 * @returns
 */
export const UpdateQuestionnaire = (data, id) => request({
  url: `/admin/questionnaire/${id}`, method: 'put', data
})
/**
 * 查询问卷调查详情
 * @param {*} params
 * @returns
 */
export const getQuestionnaireDetail = (id) => request({
  url: `/admin/questionnaire/${id}`
})
