import request from '@/utils/request'

/**
* 保存班级
* @param {*} data
* @returns
*/
export const saveSchoolClass = (data) => request({
  url: '/admin/school-class',
  method: 'post',
  data
})

/**
 * 班级列表
 * @param {*} params
 * @returns
 */
export const getSchoolClassList = (params) => request({
  url: '/admin/school-class', params
})

/**
 * 删除班级
 * @param {*} data
 * @returns
 */
export const deleteSchoolClass = (id) => request({
  url: `/admin/school-class/${id}`, method: 'delete'
})
/**
 * 更新班级
 * @param {*} data
 * @returns
 */
export const UpdateSchoolClass = (data, id) => request({
  url: `/admin/school-class/${id}`, method: 'put', data
})
/**
 * 查询班级详情
 * @param {*} params
 * @returns
 */
export const getSchoolClassDetail = (id) => request({
  url: `/admin/school-class/${id}`
})
